% ------------------------------------------------------------------------------
% Copyright (c) 2010, 2022 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\begin{rail}
Expression : ( [1] ( CONSTANTNAMETK
                   | ENUMVALUENAMETK
                   | VARNAMETK
                   | FUNCTIONNAMETK
                   | PROCESSNAMETK ) )
           | ( [2] PAROPENTK Expression PARCLOSETK )
           | ( [3] TypedExpression )
           ;
\end{rail}
